Subject: Re: bug#25045: [Website] Packages page takes too long to load

From: Alex Sassmannshausen <[email-masked]>
Date: Mon, 28 Nov 2016 18:00:33 +0100

Hi Luis,

Indeed, I had a first bash at solving this problem by providing a set of
static html pages paginated by the first letter of the package name.

I'm not particularly wedded to this solution, so if you feel strongly
about going another way, I'd be keen to hear/see about it.

In the meantime, I'm open to testing/feedback.  I will unfortunately not
be able to put work into this until at least Saturday/Sunday, as some
Perl work has higher priority at the moment.

But let me know if you have questions or feedback!

Best wishes,

Alex

Ludovic Courtès writes:

> Hello!
>
> Luis Felipe López Acevedo <[email-masked]> skribis:
>
>> I plan to redesign the packages page, and submit a proposal to fix
>> this bug.
>
> For the record, Alex (Cc’d) posted an initial patch a week ago:
>
>   https://lists.gnu.org/archive/html/guix-devel/2016-11/msg00498.html
>
> Please coordinate.  :-)
>
> Glad to see people working on this longstanding issue!
>
> Ludo’.